BeakerDashboard.dashColumn (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class BeakerDashboard.dashColumn

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.BeakerDashboard.dashColumn

- Enclosing class:
    BeakerDashboard

      public class BeakerDashboard.dashColumn
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `dashColumn(int _w)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(java.lang.Object o)`
    `java.util.List<java.lang.Object>` | `getPayload()`
    `java.lang.String` | `getTheClass()`
    `java.lang.String` | `getTheStyle()`
    `int` | `getWidth()`
    `void` | `serialize(com.fasterxml.jackson.core.JsonGenerator jgen, com.twosigma.beakerx.jvm.serialization.BeakerObjectConverter boc)`
    `void` | `setTheClass(java.lang.String c)`
    `void` | `setTheStyle(java.lang.String s)`
    `void` | `setWidth(int _w)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### dashColumn

          protected dashColumn(int _w)

  - ### Method Detail

    - #### serialize

          public void serialize(com.fasterxml.jackson.core.JsonGenerator jgen,
                                com.twosigma.beakerx.jvm.serialization.BeakerObjectConverter boc)
                         throws com.fasterxml.jackson.core.JsonGenerationException,
                                java.io.IOException

      Throws:
        `com.fasterxml.jackson.core.JsonGenerationException`
        `java.io.IOException`

    - #### getPayload

          public java.util.List<java.lang.Object> getPayload()

    - #### getTheClass

          public java.lang.String getTheClass()

    - #### setTheClass

          public void setTheClass(java.lang.String c)

    - #### getTheStyle

          public java.lang.String getTheStyle()

    - #### setTheStyle

          public void setTheStyle(java.lang.String s)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int _w)

    - #### addItem

          public void addItem(java.lang.Object o)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`